# **hardware-info**

Simple rust CLI tool to quickly gather some useful hardware and software information.  This is not meant to be a glorious do all tool, just something that can grab useful information and dump it to the terminal.  Yes there are other tools that can do this.  I am aware.

## **DEPENDENCIES**

* Linux : the code is written to presume linux kernel /proc/ paths and other linux tools.
* nmcli : this is for grabbing network related data

## **QUICK INSTALLATION**

To install this application you can use cargo to do all the work:

```
cargo install --git https://git.schotty.com/andrew/hardware-info
```

That's it!  It will download the source, compile, and install the binary.  You will need to have your path include:

```
~/.cargo/bin
```

Replace the ___~___ with your proper path to your home directory (/home/your-username/.cargo/bin)

## **MANUAL COMPILE**

To do things the manual way, clone the git repository

```
git clone  https://git.schotty.com/andrew/hardware-info
```

Then you can run the ___build.sh___ file.  Or you can use the cargo command to do the work (which is precisely what the ___build.sh___ script does).
```
cd hardware-info
cargo run --release
```

The resulting binary should be located in the ___hardware_info/target/release/___ folder.
